API Reference
/- Create Physical Card Order
List Card Orders
List Customer Card Orders
Get Card Order
Get Physical Card
Create Physical Card Orde...
Order a new, physical card for an account. It will be delivered to the specified address.
Security
HTTPBearer
Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.
- Sandbox serverhttps://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/card-orders/
- Production serverhttps://your-partner-name.partner-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/card-orders/
curl -i -X POST \
'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/card-orders/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'x-jiko-signature: string' \
-d '{
"name_on_card": "string",
"shipping_address": {
"street_address": "string",
"street_address2": "string",
"city": "string",
"postal_code": "string",
"state": "AA",
"country": "USA"
}
}'Successful Response
Response
{ "card_id": "66f6e46c-f6a1-4af8-a1bd-49666bc01304", "card_order_id": "d66e74c4-66f9-4937-8518-1a94f39ba0f9", "status": "INITIAL", "name_on_card": "Jiko Customer", "shipping_address": { "street_address": "2000 Allston Way", "city": "Berkeley", "postal_code": "94701", "state": "CA", "country": "USA" }, "object_type": "PhysicalCardOrderResponse" }